## org.opencyc.cycagent
Class AgentManager

    java.lang.Object
      |
      +--org.opencyc.cycagent.AgentManager

public class AgentManager
extends java.lang.Object

Provides a FIPA-OS agent proxy and a Grid proxy for an OpenCyc server.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`static AgentManager` `agentManager` singleton instance of AgentManager
`static java.util.Hashtable` `cycAgents` One to one ssociation of local cyc agents with their CycAgentInfo object.
`static int` `DEFAULT_VERBOSITY` The default verbosity of the solution output.
`protected java.net.ServerSocket` `listenerSocket` The socket which listens for new connections.
`static int` `LOCAL_CLIENT_LISTENER_PORT` Well known port where the Agent Manager listens for requests from cyc clients.
`static int` `MAX_LOCAL_CLIENT_CLIENTS` Maximum number of local cyc clients supported by this listener.
`protected int` `verbosity` Sets verbosity of this object's output.

Constructor Summary
`AgentManager()` Constructs a new AgentManager object.

Method Summary
`protected void` `listenForCycServers()` Handles connecting Cyc servers.
`static void` `main(java.lang.String[] args)` Provides the main method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_VERBOSITY

    public static final int DEFAULT_VERBOSITY

  The default verbosity of the solution output. 0 --> quiet ... 9 -> maximum diagnostic input.

### verbosity

    protected int verbosity

  Sets verbosity of this object's output. 0 --> quiet ... 9 -> maximum diagnostic input.

### agentManager

    public static AgentManager agentManager

  singleton instance of AgentManager

### cycAgents

    public static java.util.Hashtable cycAgents

  One to one ssociation of local cyc agents with their CycAgentInfo object. cyc agent name -> CycAgentInfo

### LOCAL_CLIENT_LISTENER_PORT

    public static final int LOCAL_CLIENT_LISTENER_PORT

  Well known port where the Agent Manager listens for requests from cyc clients.

### MAX_LOCAL_CLIENT_CLIENTS

    public static final int MAX_LOCAL_CLIENT_CLIENTS

  Maximum number of local cyc clients supported by this listener.

### listenerSocket

    protected java.net.ServerSocket listenerSocket

  The socket which listens for new connections.

Constructor Detail

### AgentManager

    public AgentManager()

  Constructs a new AgentManager object. This singleton instance manages one or more KB's on a single host.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Provides the main method.

### listenForCycServers

    protected void listenForCycServers()

  Handles connecting Cyc servers.